Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m sad

FeedComment requires SF API 23.0

My replicateall started failing with this error recently b/c of API restrictions around the FeedComment table. Is there a new DBAMP version in the works to address this?

For now I just skip this table so this is more of a query.

--- Starting SF_Replicate for FeedComment
16:04:27: Drop FeedComment_Previous if it exists.
16:04:27: Create FeedComment_Previous with new structure.
16:04:28: Run the DBAmp.exe program.
16:04:28: DBAmp Bulk Operations. V2.13.7 (c) Copyright 2006-2011 forceAmp.com LLC
16:04:28: Replicating into FeedComment_Previous , NWT-VM-DB01 / Salesforce_Backups .
16:04:28: DBAmp is using the SQL Native Client.
16:04:28: Opening SQL Server rowset
16:04:30: Error: RunQuery failed with com_error.
16:04:30: Implementation restriction: directly querying FeedComment is only supported for admin users in version 23.0 and higher.
16:04:30: Error: DBAmp.exe was unsuccessful.
16:04:30: Error: Command string is C:\"Program Files"\DBAmp\DBAmp.exe Export "FeedComment_Previous" "NWT-VM-DB01" "Salesforce_Backups" "SALESFORCE"
--- Ending SF_Replicate. Operation FAILED.
1 person has
this problem
+1
Reply